Skip to main content
Resource Center/Resource Pool/Disk Offering Operations
GETDisk Offering OperationsSince 0.6SynchronousAuth Required

QueryDiskOffering

QueryDiskOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • diskSizeLongRequired

      The volume size.

    • sortKeyIntegerRequired

      排序键。

    • stateStringRequired

      The state, including Enabled and Disabled.

    • typeStringRequired

      The type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • allocatorStrategyStringRequired

      The allocator strategy.

Endpoint

GET/zstack/v1/disk-offerings

/zstack/v1/disk-offerings

Operation ID

QueryDiskOffering

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/disk-offerings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "7bd03741125a48d485255601b639318b", "name": "diskOffering1", "diskSize": 100.0, "state": "Enabled", "type": "DefaultDiskOfferingType", "allocatorStrategy": "DefaultPrimaryStorageAllocationStrategy" } ] }

Change History

This API has no change history records yet.

View all change history